%define upstream_name Services_Delicious
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.6.0
Release:     	%mkrel 1
Summary:    	Client for the del.icio.us web service
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Delicious-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Delicious
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
Requires:	php-pear-HTTP_Request2
Requires:	php-pear-XML_Serializer >= 0.12.0
BuildArch: 	noarch

%description
Services_Delicious is a client for the REST-based web service of
del.icio.us.
del.icio.us is a social bookmarks manager. It allows you to easily add
sites you like to your personal collection of links, to categorize those
sites with keywords, and to share your collection not only between your own
browsers and machines, but also with others.
Services_Delicious allows you to select, add and delete your bookmarks from
any PHP script.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Delicious.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Delicious.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Delicious
fi

%files
%defattr(-,root,root)
%doc docs/Services_Delicious/*
%{peardir}/*
%{xmldir}/Services_Delicious.xml


%changelog

* Sat Jan 14 2012 spuhler <spuhler> 0.6.0-1.mga2
+ Revision: 196156
- upgrade to 0.6.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.5.0-6.mga1
+ Revision: 44192
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Delicious

